package com.froglogic.extension.ktable;

import de.kupzog.ktable.KTable;
import de.kupzog.ktable.KTableModel;


public class Cell
{
    KTable ktable;
    int row;
    int column;

    Cell( KTable kt, int r, int c )
    {
        ktable = kt;
        row = r;
        column = c;
    }
    public Object getContent()
    {
        return ktable.getModel().getContentAt( row, column );
    }
    public Object getTooltip()
    {
        return ktable.getModel().getTooltipAt( row, column );
    }
    public String getToString()
    {
        return "" + getContent();
    }
    public int getRow()
    {
        return row;
    }
    public int getColumn()
    {
        return column;
    }
    public boolean equals( Object obj )
    {
        if ( obj == this )
            return true;
        if ( obj instanceof Cell ) {
            Cell cp = (Cell)obj;
            return cp.row == row && cp.column == column && cp.ktable == ktable;
        }
        return false;
    }
}
